*
* AddArt174
*
* Agrega los conceptos para aplicar el art 174 
* retencion de ISPT para Aguinaldo y PTU 
*
* Confirma que se agregaran los conceptos
* 
* Se hace con la intension de mandarlo llamar desde el reporte de Art174
Procedure AddArt174
Local nArea,nRecno
	nArea = Select()
	Select Conc
	nRecno = Recno()
	If not Seek(_NumPer+'295')
		CrearConcArt174()
	Endif
	Select Conc
	If nRecno <= Reccount()
		Goto nRecno
	Endif
	Select (nArea)
Return ''


* Crear los conceptos despue de confirmar
Procedure CrearConcArt174
	If not GetNY('No existe el concepto 295: ISR segun Art 174'+Chr(13)+;
		'Desea crear los conceptos 270-277, 280-285, 290-295 para agregar el calculo del ISR segun art 174?')
		Return
	Endif	

	AddConc('290','IngExtAG','Ingr extraord anual parte gravada','Gravado(4) + Gravado(16)')
	AddConc('291','FraccI','(Fracc I) Ingr grav extraord conv a mes','Con(290) / 365 * 30.4')
	AddConc('292','FraccII','(Fracc II) ISR del ingr extraord+salario','Con(285)')
	AddConc('293','FraccIII','(Fracc III) Diferencias de ISR','Con(285) - Con(272)')
	AddConc('294','FraccV','(Fracc V) Porcentaje de impuesto a usar','Con(293) / Con(291)')
	AddConc('295','FraccIV','(Fracc IV) ISR determinado segun Art 174','Con(290) * Con(294)')

	AddConc('270','SalMens','Sueldo Mensual','Con(501) * 30.4')
	AddConc('271','ImpMarg','Impuesto Marginal','( Con(270) - Tabla(1,1,Con(270))  )  *  Tabla(1,4,Con(270))')
	AddConc('272','ImpCaus','Impuesto Causado','Con(271)  + Tabla(1,3,Con(270))')
	AddConc('273','SubEmp','Subsidio al Empleo','Tabla(3, 3, Con(270))')
	AddConc('274','ISRMens','ISR de Salario Mensual','Max( Con(272) - Con(273), 0)')
	AddConc('277','ISRMens','ISR de Salario Mensual','Max( Con(272),0)')

	AddConc('280','SalMenIG','Salario Mens+Ingr Grav bajado al mes','Con(270) + Con(291)')
	AddConc('281','ImpMarg','Impuesto Marginal','( Con(280) - Tabla(1,1,Con(280))  )  *  Tabla(1,4,Con(280))')
	AddConc('282','ImpCaus','Impuesto Causado','Con(281)  + Tabla(1,3,Con(280))')
	AddConc('283','SubEmp','Subsidio al Empleo','Tabla(3, 3, Con(280))')
	AddConc('284','ISRMensE','ISR de Salario Mensual + Ingreso Extraordinario','Max( Con(282) - Con(283), 0)')
	AddConc('285','ISRMensE','ISR de Salario Mensual + Ingreso Extraordinario','Max( Con(282),0)')
Return


* Crea el concepto que se pasa
Procedure AddConc
LParameter cCveconc, cDesccorta, cDesc, cFormula
	cCveconc = Padl(Alltrim(cCveconc), 3)
	cFormula = Alltrim(cFormula)
	Select Conc
	Locate For NUMPER==_Numper and CVECONC==cCveconc
	If Not Found()
	    Append Blank
		Replace ;
			NUMPER With _Numper, ;
			CVECONC With cCveconc
	Endif
	Replace ;
		DESC 		with cDesc, ;
		DESCCORTA	with cDesccorta, ;
		FORMULA		with cFormula,;
		STATUS		with 1
Return

